www.cendio.com
Bug 4786 - Push FLTK patches upstream
: Push FLTK patches upstream
Status: CLOSED FIXED
: ThinLinc
Other
: trunk
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-08-30 11:00 by
Modified: 2013-10-24 11:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-08-30 11:00:16
We've been invited to be part of the FLTK development team and thus given an
opportunity to get our FLTK patches merged upstream. We need to discuss any
remaining adjustments and start committing them.
------- Comment #1 From cendio 2013-10-08 13:35:50 -------
We're out of time so the work will continue on bug 4830.
------- Comment #2 From cendio 2013-10-14 15:40:41 -------
Committed stuff:

------------------------------------------------------------------------
r9990 | ossman | 2013-09-24 11:10:04 +0200 (tis, 24 sep 2013) | 4 lines

Stop relying on uname and instead ask autoconf what platform
we are building for. This makes cross compiling things a lot
easier.

------------------------------------------------------------------------
r9974 | ossman | 2013-09-11 14:54:40 +0200 (ons, 11 sep 2013) | 3 lines

STR 2636. Add ability to get notifications whenever the
clipboard changes.

------------------------------------------------------------------------
r9973 | ossman | 2013-09-11 14:06:03 +0200 (ons, 11 sep 2013) | 3 lines

Copy over NSInteger safety typedefs from Fl_cocoa.mm
so that we can continue to compile for OS X 10.4.

------------------------------------------------------------------------
r9972 | ossman | 2013-09-11 13:11:22 +0200 (ons, 11 sep 2013) | 3 lines

Simplify clipboard handling on Windows by consolidating
it into one central function.